cURL
curl --request POST \ --url https://api.example.com/v1/api-keys \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "name": "<string>", "expires_at": "2023-11-07T05:31:56Z" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2023-11-07T05:31:56Z", "last_used_at": "2023-11-07T05:31:56Z", "expires_at": "2023-11-07T05:31:56Z", "name": "<string>", "prefix": "<string>", "secret": "<string>" }
Documentation IndexFetch the complete documentation index at: https://docs.luminolabs.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.luminolabs.ai/llms.txt
Use this file to discover all available pages before exploring further.
The name of the API key
The expiration date and time of the API key
API key created successfully
ACTIVE
EXPIRED
REVOKED
The full API key secret (only returned on creation)